import React, { useEffect } from 'react';
import useMe from '../hooks/useMe';
import { useUserContext } from '../hooks/useUserContext';

interface Props {}

const RememberMe: React.FC = ({ children }) => {
  const { setProfile } = useUserContext();
  const { data: me } = useMe();

  useEffect(() => {
    if (me) {
      setProfile(me.user);
    }
  }, [me, setProfile]);

  return <>{children}</>;
};

export default RememberMe;
